
#include "Header.h"


Image::Image()
{
	image = NULL;
}

Image::~Image()
{
	if(image)
	{
		geEngine_RemoveBitmap(CD->getm_Engine()->getEngine(),image);
		geBitmap_Destroy(&image);
		image = NULL;
	}
}

bool Image::Load(char *szName)
{
	image = geBitmap_CreateFromFileName(NULL,szName);

	if(!image)
		return false;

	geBitmap_GetInfo(image,&Info,NULL);

	Width  = geBitmap_Width(image);
	Height = geBitmap_Height(image);

	geBitmap_SetColorKey(image,GE_TRUE,0,GE_FALSE);
	geEngine_AddBitmap(CD->getm_Engine()->getEngine(),image);
	
	return true;
}

bool Image::Load(char *szName,int x,int y)
{
	image = geBitmap_CreateFromFileName(NULL,szName);

	if(!image)
		return false;

	geBitmap_GetInfo(image,&Info,NULL);

	Width  = geBitmap_Width(image);
	Height = geBitmap_Height(image);

	X = x;
	Y = y;

	geBitmap_SetColorKey(image,GE_TRUE,0,GE_FALSE);
	geEngine_AddBitmap(CD->getm_Engine()->getEngine(),image);
	
	return true;
}

bool Image::MouseOver()
{
	POINT cursor;

	GetCursorPos(&cursor);

	return ((cursor.x > X) && (cursor.x < X + Width) && (cursor.y > Y) && (cursor.y < Y + Height));

	return false;
}

void Image::Draw()
{
	geEngine_DrawBitmap(CD->getm_Engine()->getEngine(),image,NULL,X,Y);
}