
#ifndef _COMMON_
#define _COMMON_

#include "Header.h"

INT WINAPI WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nShowCmd)
{
	int loop = true;
	MSG msg;

	CD = new Common();
	N_DETECT_NULL(CD,"Unable to allocate memory to CD");
	CD->CreateCommon(hInstance);
	
	while(loop)
	{
		CD->RenderWorld();

		while(PeekMessage(&msg,NULL,0,0,PM_NOREMOVE))
		{
			if(!GetMessage(&msg,NULL,0,0))
			{
				loop = false;
				return msg.wParam;
			}

			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}

	return msg.wParam;
}

LRESULT CALLBACK WndProc(HWND hWnd,UINT message,WPARAM WParam,LPARAM LParam)
{
	switch(message)
	{
	case WM_CREATE:
		break;
	case WM_DESTROY:
		Destroy();
		break;
	}

	return DefWindowProc(hWnd,message,WParam,LParam);
}

#endif
