
#ifndef MENU_H
#define MENU_H

#define MAX_NUMBER_OF_IMAGES 3

typedef enum MENU_ID
{
	MENU_START = 0,
	MENU_EXIT,
	MENU_CREDITS,
};

class Menu
{
public:
	Menu();
   ~Menu();

    void Load();
	void Process();
private:
	Image *m_Background;
	Image *m_Images[MAX_NUMBER_OF_IMAGES];
	bool   KeyDown;
};

#endif