
#include "Header.h"


Sound::Sound()
{
	sound = NULL;
	Def   = NULL;
}

Sound::~Sound()
{
	if(sound)
	{
		free(sound);
		sound = NULL;
	}

	if(Def)
	{
		geSound_FreeSoundDef(CD->getm_Engine()->getSoundSystem(),Def);
		Def = NULL;
	}
}

bool Sound::Load(char *szName)
{
	geVFile *file;

	file = geVFile_OpenNewSystem(NULL,GE_VFILE_TYPE_DOS,szName,NULL,GE_VFILE_OPEN_READONLY);

	if(!file)
		return false;

	Def  = geSound_LoadSoundDef(CD->getm_Engine()->getSoundSystem(),file);

	if(!Def)
		return false;

	geVFile_Close(file);

	return true;
}

void Sound::Play()
{
	sound = geSound_PlaySoundDef(CD->getm_Engine()->getSoundSystem(),Def,1.0f,0.0f,0.0f,GE_FALSE);
}