
#include "Header.h"


World::World()
{
	world = NULL;
}

World::~World()
{
	if(world)
	{
		geWorld_Free(world);
		world = NULL;
	}
}

bool World::Loadbsp(char *szName)
{
	if(world)
	{
		geEngine_RemoveWorld(CD->getm_Engine()->getEngine(),world);
		geWorld_Free(world);
		world = NULL;
	}

	File  = geVFile_OpenNewSystem(NULL,GE_VFILE_TYPE_DOS,szName,NULL,GE_VFILE_OPEN_READONLY);

	if(!File)
		return false;

	world = geWorld_Create(File);

	if(!world)
		return false;

	geEngine_AddWorld(CD->getm_Engine()->getEngine(),world);

	geVFile_Close(File);

	return true;
}

void World::NoWorld()
{
	world = geWorld_Create(NULL);
	geEngine_AddWorld(CD->getm_Engine()->getEngine(),world);
}