
#ifndef DUMMY_H
#define DUMMY_H

class Dummy
{
public:
	Dummy();
   ~Dummy();

    bool Load(char *szName);
	void Update();

	geActor  *getActor();
	geVec3d   getTranslation();
	geVec3d   getRotation();
	geXForm3d getXForm();
private:
	geActor     *actor;
	geActor_Def *def;
	geVFile     *file;
	geVec3d      translation;
    geVec3d      rotation;
	geXForm3d    xform;

	geMotion    *motion;
	float        counter;
	int          currentmotion;

	void         Animate();
};

inline geActor  *Dummy::getActor()       { return actor;       }
inline geVec3d   Dummy::getTranslation() { return translation; }
inline geVec3d   Dummy::getRotation()    { return rotation;    }
inline geXForm3d Dummy::getXForm()       { return xform;       }

#endif