
#ifndef _IMAGE_H_
#define _IMAGE_H_

typedef enum IMAGE_ID
{
	IMAGE_NONE = 0,
};

class Image
{
public:
	Image();
   ~Image();

    bool Load(char *szName);
	bool Load(char *szName,int x,int y);
	bool MouseOver();
	void Draw();

	void      setID(int id);
	int       getID();
	geBitmap *getImage();
private:
	geBitmap     *image;
	geBitmap_Info Info;
	int           ID;
	int           X,Y;
	int           Width,Height;
};

inline void      Image::setID(int id) { ID = id;      }
inline int       Image::getID()       { return ID;    }
inline geBitmap *Image::getImage()    { return image; }

#endif