
#include "Header.h"


PlayerManager::PlayerManager()
{
	for(int n = 0; n < MAX_NUMBER_OF_PLAYERS; n++)
		m_Player[n] = NULL;
}

PlayerManager::~PlayerManager()
{
	for(int n = 0; n < MAX_NUMBER_OF_PLAYERS; n++)
	{
		if(m_Player[n])
		{
			delete m_Player[n];
			m_Player[n] = NULL;
		}
	}
}

void PlayerManager::Load()
{
	for(int n = 0; n < MAX_NUMBER_OF_PLAYERS; n++)
	{
		m_Player[n] = new Player();
		N_DETECT_NULL(m_Player[n],"Uable to allocate memory to m_Player");
	}

	m_Player[ID_SPAWN]->SetType(TYPE_SPAWN);
	m_Player[ID_SPAWN]->Load("actor\\spawn.act");
	m_Player[ID_SPAWN]->MoveToDeathMatchStart();
}