
#include "Header.h"


TTFont::TTFont()
{
	Font        = NULL;
	szName      = "Comic sans MS";
	Size        = 16;
	Weight      = 12;
	Antialiased = GE_TRUE;
	Color.r     = 255.0f;
	Color.g     = 255.0f;
	Color.b     = 255.0f;
	Color.a     =   1.0f;
	Clip.Left   =     0;
	Clip.Top    =     0;
	Clip.Right  =     0;
	Clip.Bottom =     0;
	Rect.Left   =     0;
	Rect.Top    =     0;
    Rect.Right  =     0;
    Rect.Bottom =     0;
}

TTFont::~TTFont()
{
	if(Font)
		geFont_Destroy(&Font);
}

bool TTFont::LoadFont()
{
	Font = geFont_Create(CD->getm_Engine()->getEngine(),szName,Size,Weight,Antialiased);

	if(!Font)
		return false;

	geFont_AddCharacters(Font,'a','z');
	geFont_AddCharacters(Font,'A','Z');
	geFont_AddCharacters(Font,'0','9');
	geFont_AddCharacters(Font,' ','~');
	
	return true;
}

void TTFont::Out(int X,int Y,char *szString, ...)
{
	char    buffer[128];
	va_list list;

	va_start(list,szString);
	vsprintf(buffer,szString,list);
	va_end(list);

	Rect.Left   = X;
	Rect.Bottom = 0;
	Rect.Top    = Y;
	Rect.Right  = Rect.Left + geFont_GetStringPixelWidth(Font,szString);
		
	geFont_DrawText(Font,buffer,&Rect,&Color,NULL,NULL);
}